# -*- RPM-SPEC -*-
Summary: Package manager for 
Name: redhat-config-packages
Version: 1.2.5
Release: 1
URL: http://www.redhat.com/ 
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System 
BuildArch: noarch
Requires: initscripts >= 5.99, usermode, libglade2, pygtk2-libglade, pygtk2, python, rhpl >= 0.73-2, comps-extras, rpm-python >= 4.2-0.61, libxml2-python
Requires: gnome-python2 >= 1.99.11-3
BuildRequires: /usr/bin/python2.2, gettext, glibc-devel, gcc, desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: gnorpm

%description

redhat-config-packages is the package manager for Red Hat Linux.  It
supports installation of interesting packages from CD.

%prep
%setup -q

%configure

%build

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog src/autorun README
%{_datadir}/application-registry/*
%{_datadir}/redhat-config-packages
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%config(noreplace) /etc/pam.d/*
%config(noreplace) /etc/security/console.apps/*
%{_sbindir}/*
%{_bindir}/*

%changelog
* Wed Sep 24 2003 Jeremy Katz <katzj@redhat.com> 1.2.5-1
- Throw out packages which aren't for our arch earlier (#105005)

* Fri Sep 19 2003 Jeremy Katz <katzj@redhat.com> 1.2.4-1
- fix requirement formatting (#104715)

* Wed Sep  4 2003 Jeremy Katz <katzj@redhat.com> 1.2.3-1
- fix help message

* Fri Aug 29 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-1
- fix for ppc64 (#103375)

* Wed Aug 20 2003 Jeremy Katz <katzj@redhat.com> 1.2.1-1
- fix for case without order in comps file (#102278)

* Tue Aug 12 2003 Jeremy Katz <katzj@redhat.com> 1.2.0-1
- update for multilib fun

* Fri Apr 18 2003 Jeremy Katz <katzj@redhat.com> 1.1.9-1
- we can't check sigs with the db closed (#88343)

* Mon Feb 24 2003 Jeremy Katz <katzj@redhat.com> 1.1.8-1
- fix for backwards of what I expected flags stuff in single package mode 
  (reported on phoebe list)

* Sun Feb 23 2003 Jeremy Katz <katzj@redhat.com> 1.1.7-1
- add startup notification
- update translations

* Tue Feb 11 2003 Jeremy Katz <katzj@redhat.com> 
- update requires on rpm (#84039)

* Sun Feb  9 2003 Jeremy Katz <katzj@redhat.com> 1.1.6-1
- various minor bugfixes

* Mon Jan 13 2003 Jeremy Katz <katzj@redhat.com> 1.1.5-1
- name change in desktop file

* Fri Jan  3 2003 Than Ngo <than@redhat.com> 1.1.4-1
- fix bug #80468

* Thu Jan  2 2003 Jeremy Katz <katzj@redhat.com> 1.1.3-1
- add url support (--tree={ftp,http}://) (#79000)

* Wed Jan  1 2003 Jeremy Katz <katzj@redhat.com> 1.1.2-1
- few minor fixes (#80800)

* Sat Dec 28 2002 Jeremy Katz <katzj@redhat.com> 1.1.1-1
- fs for cds can now be udf,iso9660 as well
- fix up state reading to be faster (bug in rpm 4.2 porting)

* Wed Oct 30 2002 Jeremy Katz <katzj@redhat.com>
- update to work with rpm 4.2

* Fri Oct 11 2002 Jeremy Katz <katzj@redhat.com>
- add scrollkeeper to removal blacklist so that we can't mistakenly 
  most of GNOME (#74958)
- RPMTAG_PROVIDES can be None in some cases; don't try to iterate over 
  None (#74877)
- don't allow src.rpms to be installed into the database (#75388)
- fix size string translation (#75584)
- fix spanish translation which caused a segfault due to missing </b> (#74973)
- make instProvs and providesDict use lists as their values so we don't 
  remove packages erroneously if multiple packages provide something (#75661)
- more translation updates

* Tue Sep  3 2002 Jeremy Katz <katzj@redhat.com>
- update translations

* Fri Aug 30 2002 Jeremy Katz <katzj@redhat.com>
- set hint so that nautilus won't pop up windows while installing
- fix pixmap path for CDs
- add a way for centering for firstboot
- miscellaneous other minor bug fixes

* Thu Aug 29 2002 Jeremy Katz <katzj@redhat.com>
- oops, another typo fix build

* Thu Aug 29 2002 Jeremy Katz <katzj@redhat.com>
- obsolete gnorpm
- other minor fixes
- fix bad interactions with magicdev

* Wed Aug 28 2002 Jeremy Katz <katzj@redhat.com>
- add README

* Wed Aug 28 2002 Jeremy Katz <katzj@redhat.com>
- handle extra CDs having dependencies on packages within the main distribution

* Tue Aug 27 2002 Jeremy Katz <katzj@redhat.com>
- handle multiple CD-ROM drives more sanely
- start handling packages from multiple sources better
- fix textdomain of specspo

* Sat Aug 24 2002 Jeremy Katz <katzj@redhat.com>
- fix a typo

* Sat Aug 24 2002 Jeremy Katz <katzj@redhat.com>
- Make the single-package tool faster if dependencies are already installed.  
- Various other minor bugfixes

* Thu Aug 15 2002 Preston Brown <pbrown@redhat.com>
- handle package installation in KDE as well.

* Wed Aug 14 2002 Jonathan Blandford <jrb@redhat.com>
- new version.  Added the single-package tool

* Mon Aug 12 2002 Jeremy Katz <katzj@redhat.com>
- another new version with lots more changes
- add sample autorun to included docs

* Tue Aug  6 2002 Jonathan Blandford <jrb@redhat.com>
- New version

* Sun Aug  4 2002 Jeremy Katz <katzj@redhat.com>
- huge numbers of changes.  starting to work a lot better

* Fri Jul 26 2002 Jeremy Katz <katzj@redhat.com>
- fix desktop file so that we show up in the main apps menu
- fix requires

* Tue Jul 23 2002 Jonathan Blandford <jrb@redhat.com>
- Create spec file
